// Garden Gnome Software - Skin
// Pano2VR 4.0/3102S
// Filename: bad_html5.ggsk
// Generated Fr 5. Apr 12:47:05 2013

function pano2vrSkin(player,base) {
	var me=this;
	var flag=false;
	var nodeMarker=new Array();
	var activeNodeMarker=new Array();
	this.player=player;
	this.player.skinObj=this;
	this.divSkin=player.divSkin;
	var basePath="";
	// auto detect base path
	if (base=='?') {
		var scripts = document.getElementsByTagName('script');
		for(var i=0;i<scripts.length;i++) {
			var src=scripts[i].src;
			if (src.indexOf('skin.js')>=0) {
				var p=src.lastIndexOf('/');
				if (p>=0) {
					basePath=src.substr(0,p+1);
				}
			}
		}
	} else
	if (base) {
		basePath=base;
	}
	this.elementMouseDown=new Array();
	this.elementMouseOver=new Array();
	var cssPrefix='';
	var domTransition='transition';
	var domTransform='transform';
	var prefixes='Webkit,Moz,O,ms,Ms'.split(',');
	var i;
	for(i=0;i<prefixes.length;i++) {
		if (typeof document.body.style[prefixes[i] + 'Transform'] !== 'undefined') {
			cssPrefix='-' + prefixes[i].toLowerCase() + '-';
			domTransition=prefixes[i] + 'Transition';
			domTransform=prefixes[i] + 'Transform';
		}
	}
	
	this.player.setMargins(0,0,0,0);
	
	this.updateSize=function(startElement) {
		var stack=new Array();
		stack.push(startElement);
		while(stack.length>0) {
			e=stack.pop();
			if (e.ggUpdatePosition) {
				e.ggUpdatePosition();
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
	}
	
	parameterToTransform=function(p) {
		return 'translate(' + p.rx + 'px,' + p.ry + 'px) rotate(' + p.a + 'deg) scale(' + p.sx + ',' + p.sy + ')';
	}
	
	this.findElements=function(id,regex) {
		var r=new Array();
		var stack=new Array();
		var pat=new RegExp(id,'');
		stack.push(me.divSkin);
		while(stack.length>0) {
			e=stack.pop();
			if (regex) {
				if (pat.test(e.ggId)) r.push(e);
			} else {
				if (e.ggId==id) r.push(e);
			}
			if (e.hasChildNodes()) {
				for(i=0;i<e.childNodes.length;i++) {
					stack.push(e.childNodes[i]);
				}
			}
		}
		return r;
	}
	
	this.preloadImages=function() {
		var preLoadImg=new Image();
		preLoadImg.src=basePath + 'steuerelemente/left__o.png';
		preLoadImg.src=basePath + 'steuerelemente/right__o.png';
		preLoadImg.src=basePath + 'steuerelemente/zoom_in__o.png';
		preLoadImg.src=basePath + 'steuerelemente/zoom_out__o.png';
		preLoadImg.src=basePath + 'steuerelemente/fullscreen__o.png';
	}
	
	this.addSkin=function() {
		this._container_18=document.createElement('div');
		this._container_18.ggId='Container 18';
		this._container_18.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._container_18.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 10px;';
		hs+='height: 10px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._container_18.setAttribute('style',hs);
		this._keller=document.createElement('div');
		this._keller.ggId='keller';
		this._keller.ggParameter={ rx:0,ry:0,a:0,sx:0.2,sy:0.2 };
		this._keller.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 600px;';
		hs+='height: 600px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._keller.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._keller.setAttribute('style',hs);
		this._keller__img=document.createElement('img');
		this._keller__img.setAttribute('src',basePath + 'steuerelemente/keller.png');
		this._keller__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._keller__img);
		this._keller.appendChild(this._keller__img);
		this._container_18.appendChild(this._keller);
		this._eg=document.createElement('div');
		this._eg.ggId='eg';
		this._eg.ggParameter={ rx:0,ry:0,a:0,sx:0.2,sy:0.2 };
		this._eg.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 600px;';
		hs+='height: 600px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._eg.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._eg.setAttribute('style',hs);
		this._eg__img=document.createElement('img');
		this._eg__img.setAttribute('src',basePath + 'steuerelemente/eg.png');
		this._eg__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._eg__img);
		this._eg.appendChild(this._eg__img);
		this._container_18.appendChild(this._eg);
		this._og=document.createElement('div');
		this._og.ggId='og';
		this._og.ggParameter={ rx:0,ry:0,a:0,sx:0.2,sy:0.2 };
		this._og.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 600px;';
		hs+='height: 600px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._og.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._og.setAttribute('style',hs);
		this._og__img=document.createElement('img');
		this._og__img.setAttribute('src',basePath + 'steuerelemente/og.png');
		this._og__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._og__img);
		this._og.appendChild(this._og__img);
		this._container_18.appendChild(this._og);
		this._dach=document.createElement('div');
		this._dach.ggId='dach';
		this._dach.ggParameter={ rx:0,ry:0,a:0,sx:0.2,sy:0.2 };
		this._dach.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 600px;';
		hs+='height: 600px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._dach.ggParameter) + ';';
		hs+='visibility: inherit;';
		this._dach.setAttribute('style',hs);
		this._dach__img=document.createElement('img');
		this._dach__img.setAttribute('src',basePath + 'steuerelemente/dach.png');
		this._dach__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._dach__img);
		this._dach.appendChild(this._dach__img);
		this._container_18.appendChild(this._dach);
		this.divSkin.appendChild(this._container_18);
		this._steuerung_ausklappen=document.createElement('div');
		this._steuerung_ausklappen.ggId='steuerung_ausklappen';
		this._steuerung_ausklappen.ggParameter={ rx:0,ry:0,a:0,sx:0.4,sy:0.4 };
		this._steuerung_ausklappen.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 10px;';
		hs+='top:  10px;';
		hs+='width: 300px;';
		hs+='height: 300px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+=cssPrefix + 'transform: ' + parameterToTransform(this._steuerung_ausklappen.ggParameter) + ';';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='background-image:url(' + basePath + 'steuerelemente/alpha_background_000000_1.png);';
		this._steuerung_ausklappen.setAttribute('style',hs);
		this._steuerung_ausklappen.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._keller.style[domTransition]='none';
			} else {
				me._keller.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._keller.ggParameter.sx=0.5;me._keller.ggParameter.sy=0.5;
			me._keller.style[domTransform]=parameterToTransform(me._keller.ggParameter);
			if (me.player.transitionsDisabled) {
				me._eg.style[domTransition]='none';
			} else {
				me._eg.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._eg.ggParameter.sx=0.5;me._eg.ggParameter.sy=0.5;
			me._eg.style[domTransform]=parameterToTransform(me._eg.ggParameter);
			if (me.player.transitionsDisabled) {
				me._dach.style[domTransition]='none';
			} else {
				me._dach.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._dach.ggParameter.sx=0.5;me._dach.ggParameter.sy=0.5;
			me._dach.style[domTransform]=parameterToTransform(me._dach.ggParameter);
			if (me.player.transitionsDisabled) {
				me._eg.style[domTransition]='none';
			} else {
				me._eg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._eg.ggParameter.rx=0;me._eg.ggParameter.ry=-40;
			me._eg.style[domTransform]=parameterToTransform(me._eg.ggParameter);
			if (me.player.transitionsDisabled) {
				me._dach.style[domTransition]='none';
			} else {
				me._dach.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._dach.ggParameter.rx=0;me._dach.ggParameter.ry=-180;
			me._dach.style[domTransform]=parameterToTransform(me._dach.ggParameter);
			if (me.player.transitionsDisabled) {
				me._og.style[domTransition]='none';
			} else {
				me._og.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._og.ggParameter.sx=0.5;me._og.ggParameter.sy=0.5;
			me._og.style[domTransform]=parameterToTransform(me._og.ggParameter);
			if (me.player.transitionsDisabled) {
				me._og.style[domTransition]='none';
			} else {
				me._og.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._og.ggParameter.rx=0;me._og.ggParameter.ry=-120;
			me._og.style[domTransform]=parameterToTransform(me._og.ggParameter);
			if (me.player.transitionsDisabled) {
				me._keller.style[domTransition]='none';
			} else {
				me._keller.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._keller.ggParameter.rx=0;me._keller.ggParameter.ry=40;
			me._keller.style[domTransform]=parameterToTransform(me._keller.ggParameter);
			if (me.player.transitionsDisabled) {
				me._ziele.style[domTransition]='none';
			} else {
				me._ziele.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._ziele.style.opacity='1';
			me._ziele.style.visibility=me._ziele.ggVisible?'inherit':'hidden';
			if (me.player.transitionsDisabled) {
				me._steuerung_einklappen.style[domTransition]='none';
			} else {
				me._steuerung_einklappen.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._steuerung_einklappen.style.opacity='1';
			me._steuerung_einklappen.style.visibility=me._steuerung_einklappen.ggVisible?'inherit':'hidden';
		}
		this.divSkin.appendChild(this._steuerung_ausklappen);
		this._steuerung_einklappen=document.createElement('div');
		this._steuerung_einklappen.ggId='steuerung_einklappen';
		this._steuerung_einklappen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._steuerung_einklappen.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 110px;';
		hs+='top:  340px;';
		hs+='width: 80px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 0% 0%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='background-color: #c2c2c2;';
		this._steuerung_einklappen.setAttribute('style',hs);
		this._steuerung_einklappen.onclick=function () {
			if (me.player.transitionsDisabled) {
				me._keller.style[domTransition]='none';
			} else {
				me._keller.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._keller.ggParameter.sx=0.2;me._keller.ggParameter.sy=0.2;
			me._keller.style[domTransform]=parameterToTransform(me._keller.ggParameter);
			if (me.player.transitionsDisabled) {
				me._eg.style[domTransition]='none';
			} else {
				me._eg.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._eg.ggParameter.sx=0.2;me._eg.ggParameter.sy=0.2;
			me._eg.style[domTransform]=parameterToTransform(me._eg.ggParameter);
			if (me.player.transitionsDisabled) {
				me._dach.style[domTransition]='none';
			} else {
				me._dach.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._dach.ggParameter.sx=0.2;me._dach.ggParameter.sy=0.2;
			me._dach.style[domTransform]=parameterToTransform(me._dach.ggParameter);
			if (me.player.transitionsDisabled) {
				me._eg.style[domTransition]='none';
			} else {
				me._eg.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._eg.ggParameter.rx=0;me._eg.ggParameter.ry=0;
			me._eg.style[domTransform]=parameterToTransform(me._eg.ggParameter);
			if (me.player.transitionsDisabled) {
				me._dach.style[domTransition]='none';
			} else {
				me._dach.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._dach.ggParameter.rx=0;me._dach.ggParameter.ry=0;
			me._dach.style[domTransform]=parameterToTransform(me._dach.ggParameter);
			if (me.player.transitionsDisabled) {
				me._og.style[domTransition]='none';
			} else {
				me._og.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._og.ggParameter.sx=0.2;me._og.ggParameter.sy=0.2;
			me._og.style[domTransform]=parameterToTransform(me._og.ggParameter);
			if (me.player.transitionsDisabled) {
				me._og.style[domTransition]='none';
			} else {
				me._og.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._og.ggParameter.rx=0;me._og.ggParameter.ry=0;
			me._og.style[domTransform]=parameterToTransform(me._og.ggParameter);
			if (me.player.transitionsDisabled) {
				me._keller.style[domTransition]='none';
			} else {
				me._keller.style[domTransition]='all 1000ms ease-out 0ms';
			}
			me._keller.ggParameter.rx=0;me._keller.ggParameter.ry=0;
			me._keller.style[domTransform]=parameterToTransform(me._keller.ggParameter);
			me._ziele.style[domTransition]='none';
			me._ziele.style.opacity='0';
			me._ziele.style.visibility='hidden';
			me._steuerung_einklappen.style[domTransition]='none';
			me._steuerung_einklappen.style.opacity='0';
			me._steuerung_einklappen.style.visibility='hidden';
		}
		this._schatten_weiss=document.createElement('div');
		this._schatten_weiss.ggId='schatten_weiss';
		this._schatten_weiss.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._schatten_weiss.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: -1px;';
		hs+='top:  -1px;';
		hs+='width: 80px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #ffffff;';
		hs+='background-color: #ffffff;';
		this._schatten_weiss.setAttribute('style',hs);
		this._steuerung_einklappen.appendChild(this._schatten_weiss);
		this._schatten_schwarz=document.createElement('div');
		this._schatten_schwarz.ggId='schatten_schwarz';
		this._schatten_schwarz.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._schatten_schwarz.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 1px;';
		hs+='top:  1px;';
		hs+='width: 80px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='background-color: #000000;';
		this._schatten_schwarz.setAttribute('style',hs);
		this._steuerung_einklappen.appendChild(this._schatten_schwarz);
		this._text_27=document.createElement('div');
		this._text_27.ggId='Text 27';
		this._text_27.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_27.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 80px;';
		hs+='height: 20px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='color: #000000;';
		hs+='background-color: #c2c2c2;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		hs+='overflow-y: auto;';
		this._text_27.setAttribute('style',hs);
		this._text_27.innerHTML="schliessen";
		this._steuerung_einklappen.appendChild(this._text_27);
		this.divSkin.appendChild(this._steuerung_einklappen);
		this._ziele=document.createElement('div');
		this._ziele.ggId='ziele';
		this._ziele.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziele.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 120px;';
		hs+='height: 90px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 0px solid #000000;';
		hs+='background-image:url(' + basePath + 'steuerelemente/alpha_background_000000_1.png);';
		this._ziele.setAttribute('style',hs);
		this._ziel_bad=document.createElement('div');
		this._ziel_bad.ggId='ziel_bad';
		this._ziel_bad.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_bad.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 102px;';
		hs+='top:  53px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_bad.setAttribute('style',hs);
		this._ziel_bad__img=document.createElement('img');
		this._ziel_bad__img.setAttribute('src',basePath + 'steuerelemente/ziel_bad.png');
		this._ziel_bad__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_bad__img);
		this._ziel_bad.appendChild(this._ziel_bad__img);
		this._ziel_bad.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_bad.style[domTransition]='none';
			} else {
				me._text_ziel_bad.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_bad.style.opacity='1';
			me._text_ziel_bad.style.visibility=me._text_ziel_bad.ggVisible?'inherit':'hidden';
		}
		this._ziel_bad.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_bad.style[domTransition]='none';
			} else {
				me._text_ziel_bad.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_bad.style.opacity='0';
			me._text_ziel_bad.style.visibility='hidden';
		}
		this._text_ziel_bad=document.createElement('div');
		this._text_ziel_bad.ggId='text_ziel_bad';
		this._text_ziel_bad.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_bad.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_bad.setAttribute('style',hs);
		this._text_ziel_bad.innerHTML="Bad";
		this._ziel_bad.appendChild(this._text_ziel_bad);
		this._ziele.appendChild(this._ziel_bad);
		this._ziel_schlafen=document.createElement('div');
		this._ziel_schlafen.ggId='ziel_schlafen';
		this._ziel_schlafen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_schlafen.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 87px;';
		hs+='top:  73px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_schlafen.setAttribute('style',hs);
		this._ziel_schlafen__img=document.createElement('img');
		this._ziel_schlafen__img.setAttribute('src',basePath + 'steuerelemente/ziel_schlafen.png');
		this._ziel_schlafen__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_schlafen__img);
		this._ziel_schlafen.appendChild(this._ziel_schlafen__img);
		this._ziel_schlafen.onclick=function () {
			me.player.openNext("schlafzimmer.xml","");
		}
		this._ziel_schlafen.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_schlafen.style[domTransition]='none';
			} else {
				me._text_ziel_schlafen.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_schlafen.style.opacity='1';
			me._text_ziel_schlafen.style.visibility=me._text_ziel_schlafen.ggVisible?'inherit':'hidden';
		}
		this._ziel_schlafen.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_schlafen.style[domTransition]='none';
			} else {
				me._text_ziel_schlafen.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_schlafen.style.opacity='0';
			me._text_ziel_schlafen.style.visibility='hidden';
		}
		this._text_ziel_schlafen=document.createElement('div');
		this._text_ziel_schlafen.ggId='text_ziel_schlafen';
		this._text_ziel_schlafen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_schlafen.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_schlafen.setAttribute('style',hs);
		this._text_ziel_schlafen.innerHTML="Schlafzimmer";
		this._ziel_schlafen.appendChild(this._text_ziel_schlafen);
		this._ziele.appendChild(this._ziel_schlafen);
		this._ziel_arbeiten=document.createElement('div');
		this._ziel_arbeiten.ggId='ziel_arbeiten';
		this._ziel_arbeiten.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_arbeiten.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 118px;';
		hs+='top:  93px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_arbeiten.setAttribute('style',hs);
		this._ziel_arbeiten__img=document.createElement('img');
		this._ziel_arbeiten__img.setAttribute('src',basePath + 'steuerelemente/ziel_arbeiten.png');
		this._ziel_arbeiten__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_arbeiten__img);
		this._ziel_arbeiten.appendChild(this._ziel_arbeiten__img);
		this._ziel_arbeiten.onclick=function () {
			me.player.openNext("arbeitszimmer.xml","");
		}
		this._ziel_arbeiten.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_arbeiten.style[domTransition]='none';
			} else {
				me._text_ziel_arbeiten.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_arbeiten.style.opacity='1';
			me._text_ziel_arbeiten.style.visibility=me._text_ziel_arbeiten.ggVisible?'inherit':'hidden';
		}
		this._ziel_arbeiten.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_arbeiten.style[domTransition]='none';
			} else {
				me._text_ziel_arbeiten.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_arbeiten.style.opacity='0';
			me._text_ziel_arbeiten.style.visibility='hidden';
		}
		this._text_ziel_arbeiten=document.createElement('div');
		this._text_ziel_arbeiten.ggId='text_ziel_arbeiten';
		this._text_ziel_arbeiten.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_arbeiten.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_arbeiten.setAttribute('style',hs);
		this._text_ziel_arbeiten.innerHTML="Arbeiten";
		this._ziel_arbeiten.appendChild(this._text_ziel_arbeiten);
		this._ziele.appendChild(this._ziel_arbeiten);
		this._ziel_flur=document.createElement('div');
		this._ziel_flur.ggId='ziel_flur';
		this._ziel_flur.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_flur.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 119px;';
		hs+='top:  149px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_flur.setAttribute('style',hs);
		this._ziel_flur__img=document.createElement('img');
		this._ziel_flur__img.setAttribute('src',basePath + 'steuerelemente/ziel_flur.png');
		this._ziel_flur__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_flur__img);
		this._ziel_flur.appendChild(this._ziel_flur__img);
		this._ziel_flur.onclick=function () {
			me.player.openNext("flur.xml","");
		}
		this._ziel_flur.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_flur.style[domTransition]='none';
			} else {
				me._text_ziel_flur.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_flur.style.opacity='1';
			me._text_ziel_flur.style.visibility=me._text_ziel_flur.ggVisible?'inherit':'hidden';
		}
		this._ziel_flur.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_flur.style[domTransition]='none';
			} else {
				me._text_ziel_flur.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_flur.style.opacity='0';
			me._text_ziel_flur.style.visibility='hidden';
		}
		this._text_ziel_flur=document.createElement('div');
		this._text_ziel_flur.ggId='text_ziel_flur';
		this._text_ziel_flur.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_flur.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_flur.setAttribute('style',hs);
		this._text_ziel_flur.innerHTML="Flur";
		this._ziel_flur.appendChild(this._text_ziel_flur);
		this._ziele.appendChild(this._ziel_flur);
		this._ziel_kueche=document.createElement('div');
		this._ziel_kueche.ggId='ziel_kueche';
		this._ziel_kueche.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_kueche.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 86px;';
		hs+='top:  171px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_kueche.setAttribute('style',hs);
		this._ziel_kueche__img=document.createElement('img');
		this._ziel_kueche__img.setAttribute('src',basePath + 'steuerelemente/ziel_kueche.png');
		this._ziel_kueche__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_kueche__img);
		this._ziel_kueche.appendChild(this._ziel_kueche__img);
		this._ziel_kueche.onclick=function () {
			me.player.openNext("kueche.xml","");
		}
		this._ziel_kueche.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_kueche.style[domTransition]='none';
			} else {
				me._text_ziel_kueche.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_kueche.style.opacity='1';
			me._text_ziel_kueche.style.visibility=me._text_ziel_kueche.ggVisible?'inherit':'hidden';
		}
		this._ziel_kueche.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_kueche.style[domTransition]='none';
			} else {
				me._text_ziel_kueche.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_kueche.style.opacity='0';
			me._text_ziel_kueche.style.visibility='hidden';
		}
		this._text_ziel_kueche=document.createElement('div');
		this._text_ziel_kueche.ggId='text_ziel_kueche';
		this._text_ziel_kueche.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_kueche.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_kueche.setAttribute('style',hs);
		this._text_ziel_kueche.innerHTML="K\xfcche";
		this._ziel_kueche.appendChild(this._text_ziel_kueche);
		this._ziele.appendChild(this._ziel_kueche);
		this._ziel_wohnzimmer=document.createElement('div');
		this._ziel_wohnzimmer.ggId='ziel_wohnzimmer';
		this._ziel_wohnzimmer.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_wohnzimmer.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 129px;';
		hs+='top:  193px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_wohnzimmer.setAttribute('style',hs);
		this._ziel_wohnzimmer__img=document.createElement('img');
		this._ziel_wohnzimmer__img.setAttribute('src',basePath + 'steuerelemente/ziel_wohnzimmer.png');
		this._ziel_wohnzimmer__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_wohnzimmer__img);
		this._ziel_wohnzimmer.appendChild(this._ziel_wohnzimmer__img);
		this._ziel_wohnzimmer.onclick=function () {
			me.player.openNext("wohnzimmer.xml","");
		}
		this._ziel_wohnzimmer.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_wohnzimmer.style[domTransition]='none';
			} else {
				me._text_ziel_wohnzimmer.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_wohnzimmer.style.opacity='1';
			me._text_ziel_wohnzimmer.style.visibility=me._text_ziel_wohnzimmer.ggVisible?'inherit':'hidden';
		}
		this._ziel_wohnzimmer.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_wohnzimmer.style[domTransition]='none';
			} else {
				me._text_ziel_wohnzimmer.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_wohnzimmer.style.opacity='0';
			me._text_ziel_wohnzimmer.style.visibility='hidden';
		}
		this._text_ziel_wohnzimmer=document.createElement('div');
		this._text_ziel_wohnzimmer.ggId='text_ziel_wohnzimmer';
		this._text_ziel_wohnzimmer.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_wohnzimmer.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_wohnzimmer.setAttribute('style',hs);
		this._text_ziel_wohnzimmer.innerHTML="Wohnzimmer";
		this._ziel_wohnzimmer.appendChild(this._text_ziel_wohnzimmer);
		this._ziele.appendChild(this._ziel_wohnzimmer);
		this._ziel_garten=document.createElement('div');
		this._ziel_garten.ggId='ziel_garten';
		this._ziel_garten.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_garten.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 191px;';
		hs+='top:  236px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_garten.setAttribute('style',hs);
		this._ziel_garten__img=document.createElement('img');
		this._ziel_garten__img.setAttribute('src',basePath + 'steuerelemente/ziel_garten.png');
		this._ziel_garten__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_garten__img);
		this._ziel_garten.appendChild(this._ziel_garten__img);
		this._ziel_garten.onclick=function () {
			me.player.openNext("garten.xml","");
		}
		this._ziel_garten.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_garten.style[domTransition]='none';
			} else {
				me._text_ziel_garten.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_garten.style.opacity='1';
			me._text_ziel_garten.style.visibility=me._text_ziel_garten.ggVisible?'inherit':'hidden';
		}
		this._ziel_garten.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_garten.style[domTransition]='none';
			} else {
				me._text_ziel_garten.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_garten.style.opacity='0';
			me._text_ziel_garten.style.visibility='hidden';
		}
		this._text_ziel_garten=document.createElement('div');
		this._text_ziel_garten.ggId='text_ziel_garten';
		this._text_ziel_garten.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_garten.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_garten.setAttribute('style',hs);
		this._text_ziel_garten.innerHTML="Garten";
		this._ziel_garten.appendChild(this._text_ziel_garten);
		this._ziele.appendChild(this._ziel_garten);
		this._ziel_hobby=document.createElement('div');
		this._ziel_hobby.ggId='ziel_hobby';
		this._ziel_hobby.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_hobby.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 105px;';
		hs+='top:  259px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_hobby.setAttribute('style',hs);
		this._ziel_hobby__img=document.createElement('img');
		this._ziel_hobby__img.setAttribute('src',basePath + 'steuerelemente/ziel_hobby.png');
		this._ziel_hobby__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_hobby__img);
		this._ziel_hobby.appendChild(this._ziel_hobby__img);
		this._ziel_hobby.onclick=function () {
			me.player.openNext("garten.xml","");
		}
		this._ziel_hobby.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_hobby.style[domTransition]='none';
			} else {
				me._text_ziel_hobby.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_hobby.style.opacity='1';
			me._text_ziel_hobby.style.visibility=me._text_ziel_hobby.ggVisible?'inherit':'hidden';
		}
		this._ziel_hobby.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_hobby.style[domTransition]='none';
			} else {
				me._text_ziel_hobby.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_hobby.style.opacity='0';
			me._text_ziel_hobby.style.visibility='hidden';
		}
		this._text_ziel_hobby=document.createElement('div');
		this._text_ziel_hobby.ggId='text_ziel_hobby';
		this._text_ziel_hobby.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_hobby.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_hobby.setAttribute('style',hs);
		this._text_ziel_hobby.innerHTML="Hobby";
		this._ziel_hobby.appendChild(this._text_ziel_hobby);
		this._ziele.appendChild(this._ziel_hobby);
		this._ziel_party=document.createElement('div');
		this._ziel_party.ggId='ziel_party';
		this._ziel_party.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_party.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 116px;';
		hs+='top:  289px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_party.setAttribute('style',hs);
		this._ziel_party__img=document.createElement('img');
		this._ziel_party__img.setAttribute('src',basePath + 'steuerelemente/ziel_party.png');
		this._ziel_party__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_party__img);
		this._ziel_party.appendChild(this._ziel_party__img);
		this._ziel_party.onclick=function () {
			me.player.openNext("garten.xml","");
		}
		this._ziel_party.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_party.style[domTransition]='none';
			} else {
				me._text_ziel_party.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_party.style.opacity='1';
			me._text_ziel_party.style.visibility=me._text_ziel_party.ggVisible?'inherit':'hidden';
		}
		this._ziel_party.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_party.style[domTransition]='none';
			} else {
				me._text_ziel_party.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_party.style.opacity='0';
			me._text_ziel_party.style.visibility='hidden';
		}
		this._text_ziel_party=document.createElement('div');
		this._text_ziel_party.ggId='text_ziel_party';
		this._text_ziel_party.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_party.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_party.setAttribute('style',hs);
		this._text_ziel_party.innerHTML="Party";
		this._ziel_party.appendChild(this._text_ziel_party);
		this._ziele.appendChild(this._ziel_party);
		this._ziel_hof=document.createElement('div');
		this._ziel_hof.ggId='ziel_hof';
		this._ziel_hof.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._ziel_hof.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 58px;';
		hs+='top:  230px;';
		hs+='width: 12px;';
		hs+='height: 12px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		this._ziel_hof.setAttribute('style',hs);
		this._ziel_hof__img=document.createElement('img');
		this._ziel_hof__img.setAttribute('src',basePath + 'steuerelemente/ziel_hof.png');
		this._ziel_hof__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._ziel_hof__img);
		this._ziel_hof.appendChild(this._ziel_hof__img);
		this._ziel_hof.onclick=function () {
			me.player.openNext("hof.xml","");
		}
		this._ziel_hof.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_hof.style[domTransition]='none';
			} else {
				me._text_ziel_hof.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_hof.style.opacity='1';
			me._text_ziel_hof.style.visibility=me._text_ziel_hof.ggVisible?'inherit':'hidden';
		}
		this._ziel_hof.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._text_ziel_hof.style[domTransition]='none';
			} else {
				me._text_ziel_hof.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._text_ziel_hof.style.opacity='0';
			me._text_ziel_hof.style.visibility='hidden';
		}
		this._text_ziel_hof=document.createElement('div');
		this._text_ziel_hof.ggId='text_ziel_hof';
		this._text_ziel_hof.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._text_ziel_hof.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 16px;';
		hs+='top:  -3px;';
		hs+='width: 99px;';
		hs+='height: 19px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='opacity: 0;';
		hs+='visibility: hidden;';
		hs+='border: 1px solid #004a87;';
		hs+='color: #004a87;';
		hs+='background-color: #64ae25;';
		hs+='text-align: center;';
		hs+='white-space: nowrap;';
		hs+='white-space: nowrap;';
		hs+='padding: 0px 1px 0px 1px;';
		hs+='overflow: hidden;';
		this._text_ziel_hof.setAttribute('style',hs);
		this._text_ziel_hof.innerHTML="Hof";
		this._ziel_hof.appendChild(this._text_ziel_hof);
		this._ziele.appendChild(this._ziel_hof);
		this.divSkin.appendChild(this._ziele);
		this._toolbar=document.createElement('div');
		this._toolbar.ggId='toolbar';
		this._toolbar.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._toolbar.ggVisible=true;
		this._toolbar.ggUpdatePosition=function() {
			this.style[domTransition]='none';
			if (this.parentNode) {
				w=this.parentNode.offsetWidth;
				this.style.left=(-138 + w/2) + 'px';
				h=this.parentNode.offsetHeight;
				this.style.top=(-40 + h) + 'px';
			}
		}
		hs ='position:absolute;';
		hs+='left: -138px;';
		hs+='top:  -40px;';
		hs+='width: 277px;';
		hs+='height: 33px;';
		hs+=cssPrefix + 'transform-origin: 50% 100%;';
		hs+='opacity: 0.5;';
		hs+='visibility: inherit;';
		hs+='border: 0px solid #000000;';
		hs+='background-image:url(' + basePath + 'steuerelemente/alpha_background_000000_1.png);';
		this._toolbar.setAttribute('style',hs);
		this._toolbar.onmouseover=function () {
			if (me.player.transitionsDisabled) {
				me._toolbar.style[domTransition]='none';
			} else {
				me._toolbar.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._toolbar.ggParameter.sx=1;me._toolbar.ggParameter.sy=1;
			me._toolbar.style[domTransform]=parameterToTransform(me._toolbar.ggParameter);
			if (me.player.transitionsDisabled) {
				me._toolbar.style[domTransition]='none';
			} else {
				me._toolbar.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._toolbar.style.opacity='1';
			me._toolbar.style.visibility=me._toolbar.ggVisible?'inherit':'hidden';
		}
		this._toolbar.onmouseout=function () {
			if (me.player.transitionsDisabled) {
				me._toolbar.style[domTransition]='none';
			} else {
				me._toolbar.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._toolbar.ggParameter.sx=1;me._toolbar.ggParameter.sy=1;
			me._toolbar.style[domTransform]=parameterToTransform(me._toolbar.ggParameter);
			if (me.player.transitionsDisabled) {
				me._toolbar.style[domTransition]='none';
			} else {
				me._toolbar.style[domTransition]='all 500ms ease-out 0ms';
			}
			me._toolbar.style.opacity='0.5';
			me._toolbar.style.visibility=me._toolbar.ggVisible?'inherit':'hidden';
		}
		this._left=document.createElement('div');
		this._left.ggId='left';
		this._left.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._left.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 0px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._left.setAttribute('style',hs);
		this._left__img=document.createElement('img');
		this._left__img.setAttribute('src',basePath + 'steuerelemente/left.png');
		this._left__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._left__img);
		this._left.appendChild(this._left__img);
		this._left.onmouseover=function () {
			me._left__img.src=basePath + 'steuerelemente/left__o.png';
		}
		this._left.onmouseout=function () {
			me._left__img.src=basePath + 'steuerelemente/left.png';
			me.elementMouseDown['left']=false;
		}
		this._left.onmousedown=function () {
			me.elementMouseDown['left']=true;
		}
		this._left.onmouseup=function () {
			me.elementMouseDown['left']=false;
		}
		this._left.ontouchend=function () {
			me.elementMouseDown['left']=false;
		}
		this._toolbar.appendChild(this._left);
		this._right=document.createElement('div');
		this._right.ggId='right';
		this._right.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._right.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 35px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._right.setAttribute('style',hs);
		this._right__img=document.createElement('img');
		this._right__img.setAttribute('src',basePath + 'steuerelemente/right.png');
		this._right__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._right__img);
		this._right.appendChild(this._right__img);
		this._right.onmouseover=function () {
			me._right__img.src=basePath + 'steuerelemente/right__o.png';
		}
		this._right.onmouseout=function () {
			me._right__img.src=basePath + 'steuerelemente/right.png';
			me.elementMouseDown['right']=false;
		}
		this._right.onmousedown=function () {
			me.elementMouseDown['right']=true;
		}
		this._right.onmouseup=function () {
			me.elementMouseDown['right']=false;
		}
		this._right.ontouchend=function () {
			me.elementMouseDown['right']=false;
		}
		this._toolbar.appendChild(this._right);
		this._zoom_in=document.createElement('div');
		this._zoom_in.ggId='zoom in';
		this._zoom_in.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_in.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 140px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom_in.setAttribute('style',hs);
		this._zoom_in__img=document.createElement('img');
		this._zoom_in__img.setAttribute('src',basePath + 'steuerelemente/zoom_in.png');
		this._zoom_in__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._zoom_in__img);
		this._zoom_in.appendChild(this._zoom_in__img);
		this._zoom_in.onmouseover=function () {
			me._zoom_in__img.src=basePath + 'steuerelemente/zoom_in__o.png';
		}
		this._zoom_in.onmouseout=function () {
			me._zoom_in__img.src=basePath + 'steuerelemente/zoom_in.png';
			me.elementMouseDown['zoom_in']=false;
		}
		this._zoom_in.onmousedown=function () {
			me.elementMouseDown['zoom_in']=true;
		}
		this._zoom_in.onmouseup=function () {
			me.elementMouseDown['zoom_in']=false;
		}
		this._zoom_in.ontouchend=function () {
			me.elementMouseDown['zoom_in']=false;
		}
		this._toolbar.appendChild(this._zoom_in);
		this._zoom_out=document.createElement('div');
		this._zoom_out.ggId='zoom out';
		this._zoom_out.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._zoom_out.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 175px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._zoom_out.setAttribute('style',hs);
		this._zoom_out__img=document.createElement('img');
		this._zoom_out__img.setAttribute('src',basePath + 'steuerelemente/zoom_out.png');
		this._zoom_out__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._zoom_out__img);
		this._zoom_out.appendChild(this._zoom_out__img);
		this._zoom_out.onmouseover=function () {
			me._zoom_out__img.src=basePath + 'steuerelemente/zoom_out__o.png';
		}
		this._zoom_out.onmouseout=function () {
			me._zoom_out__img.src=basePath + 'steuerelemente/zoom_out.png';
			me.elementMouseDown['zoom_out']=false;
		}
		this._zoom_out.onmousedown=function () {
			me.elementMouseDown['zoom_out']=true;
		}
		this._zoom_out.onmouseup=function () {
			me.elementMouseDown['zoom_out']=false;
		}
		this._zoom_out.ontouchend=function () {
			me.elementMouseDown['zoom_out']=false;
		}
		this._toolbar.appendChild(this._zoom_out);
		this._fullscreen=document.createElement('div');
		this._fullscreen.ggId='fullscreen';
		this._fullscreen.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
		this._fullscreen.ggVisible=true;
		hs ='position:absolute;';
		hs+='left: 245px;';
		hs+='top:  0px;';
		hs+='width: 32px;';
		hs+='height: 32px;';
		hs+=cssPrefix + 'transform-origin: 50% 50%;';
		hs+='visibility: inherit;';
		hs+='cursor: pointer;';
		this._fullscreen.setAttribute('style',hs);
		this._fullscreen__img=document.createElement('img');
		this._fullscreen__img.setAttribute('src',basePath + 'steuerelemente/fullscreen.png');
		this._fullscreen__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
		me.player.checkLoaded.push(this._fullscreen__img);
		this._fullscreen.appendChild(this._fullscreen__img);
		this._fullscreen.onclick=function () {
			me.player.toggleFullscreen();
		}
		this._fullscreen.onmouseover=function () {
			me._fullscreen__img.src=basePath + 'steuerelemente/fullscreen__o.png';
		}
		this._fullscreen.onmouseout=function () {
			me._fullscreen__img.src=basePath + 'steuerelemente/fullscreen.png';
		}
		this._toolbar.appendChild(this._fullscreen);
		this.divSkin.appendChild(this._toolbar);
		this.preloadImages();
		this.divSkin.ggUpdateSize=function(w,h) {
			me.updateSize(me.divSkin);
		}
		this.divSkin.ggViewerInit=function() {
		}
		this.divSkin.ggLoaded=function() {
		}
		this.divSkin.ggReLoaded=function() {
		}
		this.divSkin.ggEnterFullscreen=function() {
		}
		this.divSkin.ggExitFullscreen=function() {
		}
		this.skinTimerEvent();
	};
	this.hotspotProxyClick=function(id) {
	}
	this.hotspotProxyOver=function(id) {
	}
	this.hotspotProxyOut=function(id) {
	}
	this.changeActiveNode=function(id) {
		var newMarker=new Array();
		var i,j;
		var tags=me.player.userdata.tags;
		for (i=0;i<nodeMarker.length;i++) {
			var match=false;
			if (nodeMarker[i].ggMarkerNodeId==id) match=true;
			for(j=0;j<tags.length;j++) {
				if (nodeMarker[i].ggMarkerNodeId==tags[j]) match=true;
			}
			if (match) {
				newMarker.push(nodeMarker[i]);
			}
		}
		for(i=0;i<activeNodeMarker.length;i++) {
			if (newMarker.indexOf(activeNodeMarker[i])<0) {
				if (activeNodeMarker[i].ggMarkerNormal) {
					activeNodeMarker[i].ggMarkerNormal.style.visibility='inherit';
				}
				if (activeNodeMarker[i].ggMarkerActive) {
					activeNodeMarker[i].ggMarkerActive.style.visibility='hidden';
				}
				if (activeNodeMarker[i].ggDeactivate) {
					activeNodeMarker[i].ggDeactivate();
				}
			}
		}
		for(i=0;i<newMarker.length;i++) {
			if (activeNodeMarker.indexOf(newMarker[i])<0) {
				if (newMarker[i].ggMarkerNormal) {
					newMarker[i].ggMarkerNormal.style.visibility='hidden';
				}
				if (newMarker[i].ggMarkerActive) {
					newMarker[i].ggMarkerActive.style.visibility='inherit';
				}
				if (newMarker[i].ggActivate) {
					newMarker[i].ggActivate();
				}
			}
		}
		activeNodeMarker=newMarker;
	}
	this.skinTimerEvent=function() {
		setTimeout(function() { me.skinTimerEvent(); }, 10);
		if (me.elementMouseDown['left']) {
			me.player.changePan(1,true);
		}
		if (me.elementMouseDown['right']) {
			me.player.changePan(-1,true);
		}
		if (me.elementMouseDown['zoom_in']) {
			me.player.changeFovLog(-1,true);
		}
		if (me.elementMouseDown['zoom_out']) {
			me.player.changeFovLog(1,true);
		}
	};
	function SkinHotspotClass(skinObj,hotspot) {
		var me=this;
		var flag=false;
		this.player=skinObj.player;
		this.skin=skinObj;
		this.hotspot=hotspot;
		this.elementMouseDown=new Array();
		this.elementMouseOver=new Array();
		this.__div=document.createElement('div');
		this.__div.setAttribute('style','position:absolute; left:0px;top:0px;visibility: inherit;');
		
		this.findElements=function(id,regex) {
			return me.skin.findElements(id,regex);
		}
		
		{
			this.__div=document.createElement('div');
			this.__div.ggId='terrassendach';
			this.__div.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this.__div.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: 50px;';
			hs+='top:  50px;';
			hs+='width: 5px;';
			hs+='height: 5px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this.__div.setAttribute('style',hs);
			this.__div.onclick=function () {
				me.skin.hotspotProxyClick(me.hotspot.id);
			}
			this.__div.onmouseover=function () {
				me.player.hotspot=me.hotspot;
				me.skin.hotspotProxyOver(me.hotspot.id);
			}
			this.__div.onmouseout=function () {
				me.player.hotspot=me.player.emptyHotspot;
				me.skin.hotspotProxyOut(me.hotspot.id);
			}
			this._bild_11=document.createElement('div');
			this._bild_11.ggId='Bild 11';
			this._bild_11.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._bild_11.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -25px;';
			hs+='top:  -25px;';
			hs+='width: 35px;';
			hs+='height: 35px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='visibility: inherit;';
			this._bild_11.setAttribute('style',hs);
			this._bild_11__img=document.createElement('img');
			this._bild_11__img.setAttribute('src',basePath + 'steuerelemente/bild_11.png');
			this._bild_11__img.setAttribute('style','position: absolute;top: 0px;left: 0px;');
			me.player.checkLoaded.push(this._bild_11__img);
			this._bild_11.appendChild(this._bild_11__img);
			this._bild_11.onmouseover=function () {
				me._titel_terrassendach.style[domTransition]='none';
				me._titel_terrassendach.style.opacity='1';
				me._titel_terrassendach.style.visibility=me._titel_terrassendach.ggVisible?'inherit':'hidden';
				me._hg_titel_terrassendach.style[domTransition]='none';
				me._hg_titel_terrassendach.style.opacity='0.8';
				me._hg_titel_terrassendach.style.visibility=me._hg_titel_terrassendach.ggVisible?'inherit':'hidden';
			}
			this._bild_11.onmouseout=function () {
				me._titel_terrassendach.style[domTransition]='none';
				me._titel_terrassendach.style.opacity='0';
				me._titel_terrassendach.style.visibility='hidden';
				me._hg_titel_terrassendach.style[domTransition]='none';
				me._hg_titel_terrassendach.style.opacity='0';
				me._hg_titel_terrassendach.style.visibility='hidden';
			}
			this.__div.appendChild(this._bild_11);
			this._hg_titel_terrassendach=document.createElement('div');
			this._hg_titel_terrassendach.ggId='HG Titel Terrassendach';
			this._hg_titel_terrassendach.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._hg_titel_terrassendach.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -75px;';
			hs+='top:  -50px;';
			hs+='width: 159px;';
			hs+='height: 19px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='opacity: 0;';
			hs+='visibility: hidden;';
			hs+='border: 1px solid #004a87;';
			hs+='background-color: #64ae25;';
			this._hg_titel_terrassendach.setAttribute('style',hs);
			this.__div.appendChild(this._hg_titel_terrassendach);
			this._titel_terrassendach=document.createElement('div');
			this._titel_terrassendach.ggId='Titel Terrassendach';
			this._titel_terrassendach.ggParameter={ rx:0,ry:0,a:0,sx:1,sy:1 };
			this._titel_terrassendach.ggVisible=true;
			hs ='position:absolute;';
			hs+='left: -75px;';
			hs+='top:  -50px;';
			hs+='width: 160px;';
			hs+='height: 20px;';
			hs+=cssPrefix + 'transform-origin: 50% 50%;';
			hs+='opacity: 0;';
			hs+='visibility: hidden;';
			hs+='border: 0px solid #004a87;';
			hs+='color: #004a87;';
			hs+='text-align: center;';
			hs+='white-space: nowrap;';
			hs+='white-space: nowrap;';
			hs+='padding: 0px 1px 0px 1px;';
			hs+='overflow: hidden;';
			this._titel_terrassendach.setAttribute('style',hs);
			this._titel_terrassendach.innerHTML=me.hotspot.title;
			this.__div.appendChild(this._titel_terrassendach);
		}
	};
	this.addSkinHotspot=function(hotspot) {
		return new SkinHotspotClass(me,hotspot);
	}
	this.addSkin();
};